
                            Lesson 9

                             LAYOUT

	Designing and laying out the text of a document can be a
frustrating and time-consuming task.  Perfect Writer attempts to
make the process as simple and effortless as possible by offering
an extensive group of Document Design commands.  These commands
(also called @-sign commands) relieve you of the tedious chore of
changing margins, tabs, indentions, and line spacing each time you
wish to alter the layout of part or all of your document.  The
Document Design commands will perform a variety of functions for
you -- from automatically indenting and numbering a list, to
placing section headings on the top (or bottom) of each page, to
italicizing special words or phrases.

	The best way to learn the @-sign commands is to begin using
them a few at a time.  As you become more comfortable with
Perfect Writer, incorporate one or two of these commands into
your work.  You will soon be using them regularly.


	Since space does not allow, we will not attempt in this
lesson to cover every design command that Perfect Writer
provides.  Rather, we will give an overview of how the commands
are used, followed by one or two examples.  Following this, you
will want to consult the Perfect Writer User's Guide for further
examples and illustrations.



                PLACING A DOCUMENT DESIGN COMMAND


	Document Design commands are placed in the text of your
document at the time it is created, prior to printing.  However,
unlike other editing commands, these do not take effect until the
document is printed.

For example:

	As discussed by Roberts, word processing is undergoing  \
	a major revolution.@footnote{See Roberts, Joseph "The   | <-- you type
	Software Revolution," Prentice-Hall, 1984.}             /

In this text the `@footnote' command will not be executed until
the document is printed.  When printed, the text contained within
braces { } will be formatted as a footnote, numbered, and placed
at the bottom of the page on which the reference occurs.  This
allows you to add and delete footnotes without having to go back
and renumber them each time a change is made.  The printed result
will appear as:

		As discussed by Roberts, word processing is        \
	undergoing a major revolution.1                         |
                                                             |
                                                             | <-- you get
                                                             |
		1 See Roberts, Joseph "The Software Revolution,"   |
	Prentice-Hall, 1984.		                          /


	As you can see from this example, the document design
commands begin with an @-sign, followed by a command name.  The
text to be formatted is enclosed within "fences," which can be
any of the following:

           (...)  [...]  {...}  <...>   "..."   '...'

	Note that NO space is allowed between the command name and
the fence.

                        NESTING COMMANDS

	It is possible to "nest" @-sign commands so that more than
one command affects the same portion of text.  To avoid
confusion, use different fences for the separate commands--e.g.,
(...) and [...] .  If fences are missing or improperly matched,
error messages may result when you print, or worse, you may find
yourself with strangely formatted text.


                     BEGIN/END COMMAND FORM

	Perfect Writer provides a command form to help reduce the
problem of mismatched fences just discussed.  When the text to be
formatted is long or contains other nested commands, use the
"Begin/End" command form:

            --->      @begin(command name)
				
				  text to be formatted would be here	

            --->      @end(command name)

	All the text between the "@begin" and "@end" indicators will
be formatted according to the command specified in parentheses.
Only "environment" commands, which govern the layout and
positioning of text, can be used with the Begin/End command
form.

                        THE ENVIRONMENTS

	Perfect Writer provides a number of different "Environment"
commands that can be applied to a document as a whole, or to any
portion of it.  Environment commands determine the layout of text
-- whether something is centered, numbered, itemized, justified,
flushleft, flushright, and so on.  For example, two environment
commands automatically line up the return address and closing
statement of a letter in the same right-hand column.  Another
lays out words and text in "glossary" form--i.e., with the word
(or words) positioned at the left margin and their descriptive
text set off in a block on the right.

	Two environment commands you are likely to use often are
those for generating lists.  Let us take a closer look at these.
Suppose you want to include a numbered list in your document, a
list that will contain indented sublists set off with dashes.
You would use the "enumerate" and "itemize" environment commands
as follows:

   @begin(enumerate)    \
   Drawings             |
   @itemize[charcoal    | ---  What you would type.
                        |
   pen and ink]         |
                        |
   Paintings            |
   @itemize[oil         |
                        |
   water color]         |
   @end(enumerate)      /

This would produce:

	1. Drawings          \
	     -charcoal       |
	     -pen and ink    | ---  The result when printed 
	2. Paintings         |      would look like this.
	     -oil            |
	     -water color    /

	You can see in this example how the Begin/End command form,
although not necessary, helps clarify the area affected by the
principal environment command, "enumerate." The nested "itemize"
commands use brackets [ ] to fence the text they affect. Each
blank line indicates to Perfect Writer the beginning of a new
item.


	All of the Document Design commands are described in detail
in your Perfect Writer manual.  Chapter 17 contains lessons that
illustrate several of the more common commands. The files for
these lessons are located on the Lessons diskette.  You may
examine them using "Escape...Document...Read." The files are
named "TEXT1" to "TEXT6" (with the exception of Text 3, which
comes in two parts: TEXT3A and TEXT3B).  To print any of these
sample documents, follow the procedure outlined below.




                            PRINTING

	Printing a document with @-sign commands is almost identical
to printing any other document.  Before you type `S' on the
Printing Options menu to "Start" the printing process, you need
to select the "Using @-Sign Commands" option, changing its
default from NO to YES.  Perfect Writer will then interpret the
document design commands in your document, adjusting the layout
accordingly, and send the result to the printer.

	When "Using @-Sign Commands" is set to YES, the "Preview On
Screen" option appears.  This option allows you to view your
document on the screen, formatted as it would appear on paper.
If you wish to see your formatted document before it is printed,
select this option (changing its default from NO to YES).  Then,
when you type "S" to start, your document's @-sign commands will
be interpreted, and the document will be sent to your screen,
rather than to the printer.

	If you print your document without selecting the "Using
@-Sign" option, your @-sign commands will remain as they appeared
when inserted.  This can be helpful for proofreading,
particularly if you get an error message regarding one of the
commands.


                     GREATER EDITING FREEDOM


	As you may have observed, when using Perfect Writer's
document design commands, what you see on the screen is not
necessarily what you get! Although at first you may find this a
strange and perhaps awkward way of doing things, you will soon
realize that its ultimate effect is to free you from the burden
of constantly having to adjust margins, tabs, line spacing,
indentions, and so on.



	This concludes lesson 9.  Lesson 10 reviews the use of
Perfect Speller.  If you want to go directly to that lesson,
select:

	Escape...Document...Read   and enter "lesson10."

	To return to the PSI Menu, select:  Escape...Exit PW.

                        End of  Lesson  9